/*
 * EnergyModel.java
 *
 * Created on March 19, 2008, 8:59 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package sidnet.models.energy.energyconsumption;

/**
 *
 * @author Oliver
 */
public interface EnergyModel
{
   public void setID(int id); 
    
   public void simulateSensing(long requiredTime);
   
   public void setCPUDutyCycle(int cpuDutyCycle);
   
   public void simulateCPUActivity(long duration, int cpuDutyCycle);
 
   public void simulatePacketReceive(long startTime, long duration);
   
   public void simulatePacketTransmit(long requiredTime);
   
   public void simulateRadioGoesToSleep();
   
   public void simulateRadioWakes(); 
   
   public int getRadioState();
}
